summaryrefslogtreecommitdiff
path: root/dev-python/sphinx-basic-ng
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/sphinx-basic-ng
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/sphinx-basic-ng')
-rw-r--r--dev-python/sphinx-basic-ng/Manifest1
-rw-r--r--dev-python/sphinx-basic-ng/metadata.xml11
-rw-r--r--dev-python/sphinx-basic-ng/sphinx-basic-ng-1.0.0_beta2.ebuild43
3 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/sphinx-basic-ng/Manifest b/dev-python/sphinx-basic-ng/Manifest
new file mode 100644
index 000000000000..8e2b288a8cff
--- /dev/null
+++ b/dev-python/sphinx-basic-ng/Manifest
@@ -0,0 +1 @@
+DIST sphinx-basic-ng-1.0.0.beta2.gh.tar.gz 24076 BLAKE2B ce2d8e20d22e4d4e62b4db2eed41c72329a076bbacbf4cd247b657404e8b7f714c37b9625d77363edf7d4e53d9cef45568c53cbad8275bd7b519c0f7b1657c1f SHA512 e8c342251d0b0a085a1cd3a8fe8bede90cde3c5a404daf7afc24b601e6bdcef1c37161fadd21d34306633f1978bc96438bad3d9aa4511913dd92d69f4e299926
diff --git a/dev-python/sphinx-basic-ng/metadata.xml b/dev-python/sphinx-basic-ng/metadata.xml
new file mode 100644
index 000000000000..43822aecf33b
--- /dev/null
+++ b/dev-python/sphinx-basic-ng/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">pradyunsg/sphinx-basic-ng</remote-id>
+ <remote-id type="pypi">sphinx-basic-ng</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/sphinx-basic-ng/sphinx-basic-ng-1.0.0_beta2.ebuild b/dev-python/sphinx-basic-ng/sphinx-basic-ng-1.0.0_beta2.ebuild
new file mode 100644
index 000000000000..5257473834cb
--- /dev/null
+++ b/dev-python/sphinx-basic-ng/sphinx-basic-ng-1.0.0_beta2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_/.}
+DESCRIPTION="A modern skeleton for Sphinx themes"
+HOMEPAGE="
+ https://github.com/pradyunsg/sphinx-basic-ng/
+ https://pypi.org/project/sphinx-basic-ng/
+"
+SRC_URI="
+ https://github.com/pradyunsg/sphinx-basic-ng/archive/${PV/_/.}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/sphinx-4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/myst-parser[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ local HTML_DOCS=()
+ build_sphinx tests/barebones
+ rm -r tests/barebones/_build || die
+}